Name: emdros
Version: 1.2.0
Release: alt0.3.0

Summary: The database engine for analyzed or annotated text
License: GPL
Group: Databases

Packager: Kirill Maslinsky <kirill@altlinux.org>
URL: http://emdros.org
Source: emdros-1.2.0.pre231.tar.bz2

# Automatically added by buildreq on Sat Dec 30 2006 (-bi)
BuildRequires: gcc-c++ libMySQL-devel libpcre-devel postgresql-devel sqlite-devel zlib-devel wxGTK2u-devel libpango-devel

%description
Emdros is a text database engine for storage and retrieval of annotated
or analyzed text. Application domains include linguistics, publishing,
and text processing. Emdros has a powerful query-language for
query/create/update/delete operations.

%prep
%setup -q -n emdros-1.2.0.pre231
rm -rv pcre sqlite sqlite3

%build
autoreconf -fisv
export lt_prog_compiler_static_works=no
%configure --with-swig-language-python=no --disable-debug --with-sqlite3=no --with-sqlite=system --with-default-backend=sqlite --enable-utf8 --disable-static
%make_build

%install
%make_install install DESTDIR=%buildroot

%files
%doc AUTHORS COPYING NEWS README ChangeLog INSTALL
%_bindir/*
%_includedir/emdros/
%_libdir/lib*.so*
%_datadir/emdros/
%_man1dir/*.1*
%doc doc/*
%doc examples/HAL/doc/HALGuide.pdf
%doc SWIG/java/README-Java
%doc SWIG/java/TestEmdros.java
%doc SWIG/python/README-Python
%doc SWIG/python/test.py
%doc SWIG/python/dir.py
%doc SWIG/ruby/README-Ruby
%doc SWIG/ruby/test.rb
%doc SWIG/ruby/dir.sh
%doc SWIG/perl/README-Perl
%doc SWIG/perl/test.pl
%doc SWIG/php/testEmdrosPHP.php

%changelog
* Fri Mar 30 2007 ALT QA Team Robot <qa-robot@altlinux.org> 1.2.0-alt0.3.0
- Rebuilt due to libpq.so.4 -> libpq.so.5 soname change.

* Sun Jan 14 2007 Kirill Maslinsky <kirill@altlinux.ru> 1.2.0-alt0.3
- brebuilt with wx gui frontend

* Mon Jan 08 2007 Kirill Maslinsky <kirill@altlinux.ru> 1.2.0-alt0.2
- bugfix release (1.2.0.pre231), see NEWS and ChangeLog for details
- added Packager tag in spec
- build options:
  + database backends: SQLite2, MySQL, PostgreSQL
  + default backend: SQLite2
  + without any SWIG languages
  + --enable-utf8
  + docs included in package

* Sat Jul 08 2006 Alexey Tourbin <at@altlinux.ru> 1.2.0-alt0.1
- initial revision (1.2.0.pre206)
